Bug 141407 - LTP tests acct01/2 fail with ia32el 83.33.22
Summary: LTP tests acct01/2 fail with ia32el 83.33.22
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: ia32el   
(Show other bugs)
Version: 4.0
Hardware: ia64 Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-30 22:49 UTC by Yoav Zach
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version: 88.34.22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-16 08:52:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix the problem with acct01/2 (2.14 KB, patch)
2004-11-30 23:20 UTC, Yoav Zach
no flags Details | Diff

Description Yoav Zach 2004-11-30 22:49:19 UTC
Description of problem:
the userland altroot procedure assumes file name must be a valid 
adress in memory. however - acct syscall accepts NULL filename as a 
valid param, which breaks related LTP tests.

Version-Release number of selected component (if applicable):
83.33.22 (1.1-8, IIRC)

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Yoav Zach 2004-11-30 23:20:11 UTC
Created attachment 107668 [details]
patch to fix the problem with acct01/2

Comment 2 Jakub Jelinek 2004-12-06 17:05:27 UTC
Should be fixed in ia32el-1.1-12 in dist-4E-lacd, also put to ftp://people.redhat.com/jakub/ia32el/

Comment 3 Jay Turner 2005-01-14 11:30:41 UTC
Yoav, can we close this out.  Appears to be working on my end.


Note You need to log in before you can comment on or make changes to this bug.